Bug 437659 - Review Request: pyke - Knowledge-based inference engine
Review Request: pyke - Knowledge-based inference engine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 16:48 EDT by Tom "spot" Callaway
Modified: 2008-04-25 15:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 15:50:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-03-15 16:48:22 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/pyke.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/pyke-0.2-1.fc9.src.rpm
Description: 
Pyke is a knowledge-based inference engine (expert system) written in 100%
python that can:
* Do both forward-chaining (data driven) and backward-chaining (goal
  directed) inferencing.
* Automatically generate python programs by assembling individual python
  functions into complete call graphs.
Comment 1 Parag AN(पराग) 2008-04-03 23:48:54 EDT
package failed to build
http://koji.fedoraproject.org/koji/taskinfo?taskID=547592
Comment 3 Dennis Gilmore 2008-04-25 11:38:35 EDT
I will review
Comment 4 Dennis Gilmore 2008-04-25 12:44:30 EDT
builds fine in mock

rpmlint is quiet 

spec is clean 

source matches upstream 
sha1sum pyke-0.2.tar.gz SOURCES/pyke-0.2.tar.gz
6ef06efb2696cca82b85d8dc1951bcb0be169ee4  pyke-0.2.tar.gz
6ef06efb2696cca82b85d8dc1951bcb0be169ee4  SOURCES/pyke-0.2.tar.gz

Approved
Comment 5 Tom "spot" Callaway 2008-04-25 14:55:14 EDT
New Package CVS Request
=======================
Package Name: pyke
Short Description: Knowledge-based inference engine 
Owners: spot
Branches: F-7 F-8 F-9 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 6 Tom "spot" Callaway 2008-04-25 14:57:56 EDT
cvs done. 
Comment 7 Tom "spot" Callaway 2008-04-25 15:50:04 EDT
... and it is built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.